Firefly开源社区

无法运行QT demo程序

30

积分

0

威望

0

贡献

技术小白

积分
30
发表于 2021-3-19 10:50:47     
本帖最后由 wangapei 于 2021-3-19 10:53 编辑

一、基本信息
核心板型号:Core-3399-JD4
核心板安装系统:Core-3399-JD4 Ubuntu Desktop
image.png
file:///C:\Users\Administrator\AppData\Local\Temp\ksohtml10088\wps1.jpg
参照此内容进行操作:
image.png image.png
file:///C:\Users\Administrator\AppData\Local\Temp\ksohtml10088\wps2.jpg
file:///C:\Users\Administrator\AppData\Local\Temp\ksohtml10088\wps3.jpg
二、操作步骤
1.将firfly_arm64_qt5.12.2_18.04压缩包解压并放置 /home目录
$ cp firfly_arm64_qt5.12.2_18.04.tgz /home
$ cd /home
$ tar xzvf firfly_arm64_qt5.12.2_18.04.tgz
2.进入 /firfly_arm64_qt5.12.2_18.04 目录,并进行配置
$ cd firfly_arm64_qt5.12.2_18.04
$ cp -rfd host/opt/firefly_qt5.12.2_arm64_18.04/ext  /opt/firefly_qt5.12.2
$ cp target/qtEnv.sh /etc/profile.d/
$ cp target/qt.conf /etc/ld.so.conf.d
$ ldconfig
$ reboot
3.安装lib文件
# Install base library
$ apt install -y \
      libmtdev1 \
      libinput10 \
      libxkbcommon0 \
      libdouble-conversion1 \
      libicu60 \
      libharfbuzz0b
Ps.全部安装了一遍,但是全部都提示已安装过了。提示如下:
image.jpg
file:///C:\Users\Administrator\AppData\Local\Temp\ksohtml10088\wps4.png
4. 配置环境
#eglfs
$ export QT_QPA_PLATFORM=EGLFS
$ export QT_QPA_EGLFS_INTEGRATION=EGLFS_KMS
$ export QT_QPA_EGLFS_KMS_ATOMIC=1  
$ export QT_QPA_EGLFS_HIDECURSOR=1  
5. 打开demo程序,此时报错。
image.jpg
file:///C:\Users\Administrator\AppData\Local\Temp\ksohtml10088\wps5.png
三、问题描述
1.第一次打开demo程序时,提示缺失libmali.so.1文件。参照网上解决方法,在/usr/lib/aarch64-linux-gnu目录下执行命令 ln -s libmali.so libmali.so.1,然后不再提示此报错
2.第二次打开demo程序是则报以下错误:
file:///C:\Users\Administrator\AppData\Local\Temp\ksohtml10088\wps6.png
回复

使用道具 举报

*滑块验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表